import 'package:flutter/material.dart';

import 'package:provider/provider.dart';

import 'package:pshared/provider/payment/quotation/quotation.dart';

import 'package:pweb/pages/dashboard/payouts/summary/row.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';

class PaymentTotalRow extends StatelessWidget {
  const PaymentTotalRow({super.key});

  @override
  Widget build(BuildContext context) => Consumer<QuotationProvider>(
    builder: (context, provider, _) => PaymentSummaryRow(
      labelFactory: AppLocalizations.of(context)!.total,
      money: provider.total,
      style: Theme.of(
        context,
      ).textTheme.titleMedium!.copyWith(fontWeight: FontWeight.w600),
    ),
  );
}
